# Uses of Interface
org.springframework.web.server.session.WebSessionStore

Packages that use WebSessionStore
Package
Description
org.springframework.web.server.session
Auxiliary interfaces and implementation classes for `WebSession` support.

## Uses of WebSessionStore in org.springframework.web.server.session

Classes in org.springframework.web.server.session that implement WebSessionStore
Modifier and Type
Class
Description
`class`
`InMemoryWebSessionStore`
Simple Map-based storage for `WebSession` instances.
Methods in org.springframework.web.server.session that return WebSessionStore
Modifier and Type
Method
Description
`WebSessionStore`
DefaultWebSessionManager.`getSessionStore()`
Return the configured `WebSessionStore`.
Methods in org.springframework.web.server.session with parameters of type WebSessionStore
Modifier and Type
Method
Description
`void`
DefaultWebSessionManager.`setSessionStore(WebSessionStore sessionStore)`
Configure the persistence strategy.